Reboot a cloud instance
POST/v1/cloud_computing/instances/{instance_id}/reboot
A POST request to the /v1/cloud_computing/instances/{instance_id}/reboot endpoint will reboot a cloud instance mentioned in the path parameter.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
instance_id | stringA unique identifier of a cloud instance. This is a request to list IDs of cloud instances. |
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/cloud_computing/instances/YRdG7dDz/reboot"{ "id": "YRdG7dDz", "openstack_uuid": "6ec9d519-a90b-4c79-87e5-7228df27d87b", "status": "REBOOTING", "name": "name506", "region_id": 0, "region_code": "NL01", "flavor_id": "101", "flavor_name": "SSD.1", "image_id": "f6c9c585-627a-4113-af8c-a475f5f73a21", "image_name": null, "public_ipv4_address": "53.119.204.184", "private_ipv4_address": null, "local_ipv4_address": "74.45.84.128", "public_ipv6_address": null, "ipv6_enabled": false, "gpn_enabled": false, "created_at": "2025-12-31T00:00:00Z", "updated_at": "2025-12-31T00:00:00Z", "backup_copies": 0, "public_port_blocked": false, "labels": {}}